#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define srcname ktp-filetransfer-handler

Summary:        Telepathy KDE File transfer handler
Name:           telepathy-kde-filetransfer-handler
Version: 20.12.0
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://cgit.kde.org/ktp-filetransfer-handler.git
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Config)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       telepathy-kde-common-internals-core = %{version}

%description
Telepathy-KDE file transfer handler.

%files -f %name.lang
%{_libexecdir}/ktp-filetransfer-handler
%{_kf5_datadir}/telepathy/clients/KTp.FileTransferHandler.client
%{_kf5_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.FileTransferHandler.service

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655731
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644113
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633932
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627171
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615042
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604236
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596973
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584625
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568250
- New version 20.04.0

* Wed Mar 25 2020 daviddavid <daviddavid> 19.12.3-1.mga8
+ Revision: 1559641
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540812
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513415
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467073
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458018
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446524
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425105
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390560
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387778
- New version 19.03.90

* Tue Apr 02 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1385001
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375789
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365683
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356620
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339625
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332855
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327508
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301371
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229175
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1202006
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195028
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186570
- New version 17.12.0
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1139196
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131442
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090192
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076934
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072124
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067441
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061505
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050768
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049461
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040171
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014304
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006726
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998053
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993240
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987696
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922726
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905451
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901187
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890680
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880480
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865998
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863637
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862237
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859956
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855276
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813751
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 745426
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689806
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667407
- Update to 0.8.1

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604117
- 08.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595835
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593159
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549312
- Update to 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540879
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493006
- Update tarball to 0.6.80

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466305
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429052
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407391
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402404
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399552
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332478
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306892
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285441
- Update tarball to 0.5.0

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271799
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202932
- Add requires for common translations
- Update tarball to 0.3.0
- Remove tabs
- Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173214
- Update tarball to 0.2.0
- fix files list
- imported package telepathy-kde-filetransfer-handler

